## python-holidays 0.46

=== Makefile ===
help:
	@echo "Usage: make <target>"
	@echo "    check         run pre-commit and tests"
	@echo "    coverage      identify code not covered with tests"
	@echo "    doc           run documentation build process"
	@echo "    help          show summary of available commands"
	@echo "    l10n          update .pot and .po files"
	@echo "    package       build package distribution"
	@echo "    pre-commit    run pre-commit against all files"
	@echo "    setup         setup development environment"
	@echo "    test          run tests (in parallel)"
	@echo "    tox           run tox (in parallel)"

check:
	make l10n
	make pre-commit
	make doc
	make test

clean:
	find . -name *.mo -delete
	find . -name *.pyc -delete
	rm -rf .mypy_cache/*
	rm -rf .pytest_cache/*
	rm -rf dist/*
	rm -rf docs/build/*
	rm -rf docs/source/_autosummary/*

coverage:
	pytest --cov=. --cov-config=pyproject.toml --cov-report term-missing --dist loadscope --no-cov-on-fail --numprocesses auto

doc:
	sphinx-build -E -T -W -b html -D language=en -j auto -q docs/source docs/build

l10n:
	scripts/l10n/generate_po_files.py >/dev/null 2>&1
	scripts/l10n/generate_mo_files.py

package:
	scripts/l10n/generate_mo_files.py
	python -m build

pre-commit:
	pre-commit run --all-files

setup:
	pip install --upgrade pip
	pip install --requirement requirements/dev.txt
	pip install --requirement requirements/docs.txt
	pip install --requirement requirements/runtime.txt
	pip install --requirement requirements/tests.txt
	pre-commit install --hook-type pre-commit
	pre-commit install --hook-type pre-push
	make l10n
	make package

snapshot:
	scripts/l10n/generate_mo_files.py
	scripts/generate_snapshots.py

test:
	scripts/l10n/generate_mo_files.py
	pytest --cov=. --cov-config=pyproject.toml --cov-report term --cov-report lcov --durations 10 --durations-min=0.75 --dist loadscope --no-cov-on-fail --numprocesses auto

tox:
	tox --parallel auto

## python-holidays 0.8.1

=== debian/changelog ===
python-holidays (0.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #857372)

 -- Ondřej Nový <onovy@debian.org>  Fri, 10 Mar 2017 17:01:24 +0100

=== debian/control ===
Source: python-holidays
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-dateutil,
Standards-Version: 3.9.8
Homepage: https://github.com/ryanss/python-holidays
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-holidays.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-holidays.git
Testsuite: autopkgtest-pkg-python

Package: python3-holidays
Architecture: all
Depends: python3-dateutil,
         ${misc:Depends},
         ${python3:Depends},
Description: Python library for generating sets of holidays
 A fast, efficient Python library for generating country, province and state
 specific sets of holidays on the fly. It aims to make determining whether a
 specific date is a holiday as fast and flexible as possible.
 .
 This package contains the Python 3.x module.

## python-holidays 0.9.3

=== debian/changelog ===
python-holidays (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * Add python3-six to B-D
  * Bump debhelper compat level to 11
  * Standards version is 4.1.3 now (no changes needed)
  * d/control: Set supported Python version to 2.7 and Python 3 version to 3.4
  * d/copyright: Bump copyright years
  * d/tests: Add simple autopkgtest test
  * Change homepage to new location

 -- Ondřej Nový <onovy@debian.org>  Sun, 04 Feb 2018 12:07:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-dateutil,
-Standards-Version: 3.9.8
-Homepage: https://github.com/ryanss/python-holidays
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.3
+               python3-six,
+Standards-Version: 4.1.3
+Homepage: https://github.com/dr-prodigy/python-holidays
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-holidays.git/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-holidays.git
 Testsuite: autopkgtest-pkg-python

## python-holidays 0.9.7

=== debian/changelog ===
python-holidays (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version is 4.2.1 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Wed, 19 Sep 2018 18:05:10 +0200

python-holidays (0.9.6-1) unstable; urgency=medium

  * New upstream release
  * Convert git repository from git-dpm to gbp layout
  * Standards-Version is 4.2.0 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Aug 2018 12:36:38 +0200

python-holidays (0.9.5-1) unstable; urgency=medium

  * New upstream release
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Standards-Version is 4.1.4 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Mon, 14 May 2018 12:54:38 +0200

python-holidays (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * d/control: Set Vcs-* to salsa.debian.org
  * Add d/upstream/metadata

 -- Ondřej Nový <onovy@debian.org>  Mon, 19 Mar 2018 09:30:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,10 @@
                python3-all,
                python3-dateutil,
                python3-six,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/dr-prodigy/python-holidays
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-holidays.git/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-holidays.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-holidays
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-holidays.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-holidays

## python-holidays 0.9.9

=== debian/changelog ===
python-holidays (0.9.9-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 14:40:33 +0100

python-holidays (0.9.8-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Standards-Version is 4.3.0 now (no changes needed)
  * Rename d/tests/control.autodep8 to debian/tests/control

 -- Ondřej Nový <onovy@debian.org>  Mon, 31 Dec 2018 22:37:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-dateutil,
                python3-six,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/dr-prodigy/python-holidays
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-holidays
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-holidays.git

## python-holidays 0.9.11

=== debian/changelog ===
python-holidays (0.9.11-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 13:16:44 +0200

python-holidays (0.9.10-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 19:05:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-dateutil,
                python3-six,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/dr-prodigy/python-holidays
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-holidays
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-holidays.git

## python-holidays 0.10.1

=== debian/changelog ===
python-holidays (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright:
    - Bump copyright years.
    - Add new copyright holders from new upstream release.
  * Add python3-convertdate to B-D and D.
  * Bump Standards-Version to 4.5.0 (no changes).
  * d/control: Add Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Thu, 30 Jan 2020 10:34:43 +0100

python-holidays (0.9.12-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 18:19:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,20 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-convertdate,
                python3-dateutil,
                python3-six,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/dr-prodigy/python-holidays
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-holidays
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-holidays.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-holidays
 Architecture: all
-Depends: python3-dateutil,
+Depends: python3-convertdate,
+         python3-dateutil,
          ${misc:Depends},
          ${python3:Depends},
 Description: Python library for generating sets of holidays

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=holidays

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} tests.py" dh_auto_test

=== debian/tests/control ===
Tests: test.py
Depends: @

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/holidays/holidays-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-holidays 0.46

=== debian/changelog ===
python-holidays (0.46-1) unstable; urgency=medium

  * New upstream version 0.46
  * Add myself as Uploader
  * Disable tests, they are missing from the tarball
  * Use new dh-sequence-python3

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 12 Apr 2024 00:38:24 +0200

python-holidays (0.10.1-3) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 18:11:15 +0100

python-holidays (0.10.1-2) unstable; urgency=medium

  * d/copyright: Bump my copyright year.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * d/patches/fix_convertdate.patch: Fix compatibility with newer
    convertdate (Closes: #982706).

 -- Ondřej Nový <onovy@debian.org>  Mon, 15 Feb 2021 09:33:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: python-holidays
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Ondřej Nový <onovy@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Alexandre Detiste <tchet@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-convertdate,
                python3-dateutil,
-               python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/dr-prodigy/python-holidays
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-holidays
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-holidays.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-holidays
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-holidays.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=holidays

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} tests.py" dh_auto_test

## python-holidays 0.65

=== debian/changelog ===
python-holidays (0.65-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update URLs in Homepage, debian/copyright Source, and debian/watch.
  * Use pybuild-plugin-pyproject.
  * Build-depend on python3-setuptools (closes: #1080749).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Jan 2025 16:17:56 +0000

python-holidays (0.47-1) unstable; urgency=medium

  * New upstream version 0.47
  * d/watch: switch to new GitHub fork to get a complete tarball
  * re-enable (py)test

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Apr 2024 14:40:09 +0200

## python-holidays 0.66

=== debian/changelog ===
python-holidays (0.66-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Feb 2025 11:17:47 +0000

## python-holidays 0.67

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,12 @@
 pre-commit:
 	pre-commit run --all-files
 
+release-notes:
+	@scripts/generate_release_notes.py
+
+sbom:
+	@python -m cyclonedx_py requirements requirements/runtime.txt
+
 setup:
 	pip install --upgrade pip
 	pip install --requirement requirements/dev.txt
@@ -60,7 +66,7 @@
 
 test:
 	scripts/l10n/generate_mo_files.py
-	pytest --cov=. --cov-config=pyproject.toml --cov-report term --cov-report lcov --durations 10 --durations-min=0.75 --dist loadscope --no-cov-on-fail --numprocesses auto
+	pytest --cov=. --cov-config=pyproject.toml --cov-report term --cov-report xml --durations 10 --durations-min=0.75 --dist loadscope --no-cov-on-fail --numprocesses auto
 
 tox:
 	tox --parallel auto

=== debian/changelog ===
python-holidays (0.67-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Feb 2025 12:12:12 +0000

## python-holidays 0.68

=== debian/changelog ===
python-holidays (0.68-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Mar 2025 13:22:12 +0000

## python-holidays 0.69

=== debian/changelog ===
python-holidays (0.69-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 16:33:01 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-convertdate,
                python3-dateutil,
+               python3-importlib-metadata <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-polib,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-setuptools,
 Standards-Version: 4.6.1
-Homepage: https://github.com/dr-prodigy/python-holidays
+Homepage: https://github.com/vacanza/holidays
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-holidays
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-holidays.git
 Testsuite: autopkgtest-pkg-python

## python-holidays 0.70

=== debian/changelog ===
python-holidays (0.70-1) unstable; urgency=medium

  * New upstream release.
  * Revert PEP 639 metadata changes until setuptools >= 77 is in unstable.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2025 21:41:38 +0100

## python-holidays 0.71

=== Makefile ===
--- 
+++ 
@@ -18,21 +18,19 @@
 	make test
 
 clean:
-	find . -name *.mo -delete
-	find . -name *.pyc -delete
-	rm -rf .mypy_cache/*
-	rm -rf .pytest_cache/*
-	rm -rf dist/*
-	rm -rf docs/build/*
-	rm -rf docs/source/_autosummary/*
+	@for ext in mo pot pyc; do \
+		find . -type f -name "*.$$ext" -delete; \
+	done
+	@rm -rf .mypy_cache .pytest_cache dist
 
 coverage:
 	pytest --cov=. --cov-config=pyproject.toml --cov-report term-missing --dist loadscope --no-cov-on-fail --numprocesses auto
 
 doc:
-	sphinx-build -E -T -W -b html -D language=en -j auto -q docs/source docs/build
+	mkdocs build
 
 l10n:
+	find . -type f -name "*.pot" -delete
 	scripts/l10n/generate_po_files.py >/dev/null 2>&1
 	scripts/l10n/generate_mo_files.py

=== debian/changelog ===
python-holidays (0.71-3) unstable; urgency=medium

  * Drop build-depends on python3-importlib-metadata
  * Format debian/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 18:16:05 +0200

python-holidays (0.71-2) unstable; urgency=medium

  * Team upload.
  * Fix `TestClosestHoliday` current date handling (closes: #1104508).

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 May 2025 13:19:02 +0100

python-holidays (0.71-1) unstable; urgency=medium

  * Team upload.
  * Restore PEP 639 metadata changes, since setuptools >= 77 is now in
    testing.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Apr 2025 17:05:52 +0100

## python-holidays 0.78

=== debian/changelog ===
python-holidays (0.78-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Aug 2025 12:24:52 +0100

## python-holidays 0.79

=== debian/changelog ===
python-holidays (0.79-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Aug 2025 15:05:43 +0100

## python-holidays 0.80

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 help:
 	@echo "Usage: make <target>"
 	@echo "    check         run pre-commit and tests"
-	@echo "    coverage      identify code not covered with tests"
 	@echo "    doc           run documentation build process"
 	@echo "    help          show summary of available commands"
 	@echo "    l10n          update .pot and .po files"
@@ -21,10 +20,7 @@
 	@for ext in mo pot pyc; do \
 		find . -type f -name "*.$$ext" -delete; \
 	done
-	@rm -rf .mypy_cache .pytest_cache dist
-
-coverage:
-	pytest --cov=. --cov-config=pyproject.toml --cov-report term-missing --dist loadscope --no-cov-on-fail --numprocesses auto
+	@rm -rf .mypy_cache .pytest_cache dist .tox
 
 doc:
 	mkdocs build
@@ -64,7 +60,7 @@
 
 test:
 	scripts/l10n/generate_mo_files.py
-	pytest --cov=. --cov-config=pyproject.toml --cov-report term --cov-report xml --durations 10 --durations-min=0.75 --dist loadscope --no-cov-on-fail --numprocesses auto
+	pytest --cov=. --cov-config=pyproject.toml --cov-report term-missing --cov-report xml --durations 10 --durations-min=0.75 --dist loadscope --no-cov-on-fail --numprocesses auto
 
 tox:
 	tox --parallel auto

=== debian/changelog ===
python-holidays (0.80-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2025 02:53:11 +0100

## python-holidays 0.83

=== debian/changelog ===
python-holidays (0.83-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Oct 2025 15:03:09 +0000

=== debian/control ===
Source: python-holidays
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-convertdate,
 python3-dateutil,
 python3-numpy <!nocheck>,
 python3-polib,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools (>= 77),
Standards-Version: 4.7.2
Homepage: https://github.com/vacanza/holidays
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-holidays
Vcs-Git: https://salsa.debian.org/python-team/packages/python-holidays.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
X-Style: black

Package: python3-holidays
Architecture: all
Depends:
 python3-convertdate,
 python3-dateutil,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for generating sets of holidays
 A fast, efficient Python library for generating country, province and state
 specific sets of holidays on the fly. It aims to make determining whether a
 specific date is a holiday as fast and flexible as possible.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=holidays

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	scripts/l10n/generate_mo_files.py

=== debian/tests/control ===
Tests:
 test.py,
Depends:
 @,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/vacanza/holidays/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-holidays 0.86

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 l10n:
 	find . -type f -name "*.pot" -delete
-	scripts/l10n/generate_po_files.py >/dev/null 2>&1
+	scripts/l10n/generate_po_files.py 2>/dev/null
 	scripts/l10n/generate_mo_files.py
 
 package:

=== debian/changelog ===
python-holidays (0.86-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 09:50:41 +0000

## python-holidays 0.90

=== Makefile ===
.DEFAULT_GOAL := help

.PHONY: help

help:
	@echo "Usage: make <target>"
	@echo "    archive-links update URLs using Wayback Machine"
	@echo "    check         run pre-commit and tests"
	@echo "    doc           run documentation build process"
	@echo "    help          show summary of available commands"
	@echo "    l10n          update .pot and .po files"
	@echo "    package       build package distribution"
	@echo "    pre-commit    run pre-commit against all files"
	@echo "    setup         setup development environment"
	@echo "    test          run tests (in parallel)"
	@echo "    upgrade       run dependency upgrade"

archive-links:
	uv run --no-sync scripts/archive_links.py

check:
	make l10n
	make pre-commit
	make doc
	make test

clean:
	@for ext in mo pot pyc; do \
		find . -type f -name "*.$$ext" -delete; \
	done
	@rm -rf .mypy_cache .pytest_cache dist

doc:
	uv run --no-sync mkdocs build

l10n:
	find . -type f -name "*.pot" -delete
	uv run --no-sync scripts/l10n/generate_po_files.py 2>/dev/null
	uv run --no-sync scripts/l10n/generate_mo_files.py

package:
	uv run --no-sync scripts/l10n/generate_mo_files.py
	uv build

pre-commit:
	uv run --no-sync pre-commit run --all-files

release-notes:
	uv run --no-sync scripts/generate_release_notes.py

sbom:
	uv tool run --from cyclonedx-bom cyclonedx-py environment "$(uv python find)"

setup:
	uv venv --clear --python 3.14
	uv sync --all-groups
	uv run --no-sync pre-commit install --hook-type pre-commit
	uv run --no-sync pre-commit install --hook-type pre-push
	make l10n
	make package

snapshot:
	uv run --no-sync scripts/l10n/generate_mo_files.py
	uv run --no-sync scripts/generate_snapshots.py

test:
	uv run --no-sync scripts/l10n/generate_mo_files.py
	uv run --no-sync pytest --cov=. --cov-config=pyproject.toml --cov-report term-missing --cov-report xml --durations 10 --durations-min=0.75 --dist loadscope --no-cov-on-fail --numprocesses auto

upgrade:
	uv lock --upgrade
	uv sync --all-groups

=== debian/changelog ===
python-holidays (0.90-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update URLs in debian/upstream/metadata.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Feb 2026 16:21:02 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-holidays
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-holidays.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 X-Style: black
 
 Package: python3-holidays
